Package org.jfree.layouting.namespace

## Class Namespaces

- java.lang.Object
- - org.jfree.layouting.namespace.Namespaces

-     public final class Namespaces
      extends java.lang.Object

  Known and supported namespaces.
  Author:
    Thomas Morgner

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `LIBLAYOUT_NAMESPACE` |
    `static java.lang.String` | `XHTML_NAMESPACE` | The XML-Namespace is used for the 'id' attribute.
    `static java.lang.String` | `XML_NAMESPACE` | The XML-Namespace is used for the 'id' attribute.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static NamespaceDefinition[]` | `createFromConfig​(org.pentaho.reporting.libraries.base.config.Configuration config, java.lang.String prefix, org.pentaho.reporting.libraries.resourceloader.ResourceManager resourceManager)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LIBLAYOUT_NAMESPACE

          public static final java.lang.String LIBLAYOUT_NAMESPACE

      See Also:
        Constant Field Values

    - #### XML_NAMESPACE

          public static final java.lang.String XML_NAMESPACE

      The XML-Namespace is used for the 'id' attribute.
      See Also:
        Constant Field Values

    - #### XHTML_NAMESPACE

          public static final java.lang.String XHTML_NAMESPACE

      The XML-Namespace is used for the 'id' attribute.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### createFromConfig

          public static NamespaceDefinition[] createFromConfig​(org.pentaho.reporting.libraries.base.config.Configuration config,
                                                               java.lang.String prefix,
                                                               org.pentaho.reporting.libraries.resourceloader.ResourceManager resourceManager)